> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requeststartemvtransaction-emv-only.md).

# requestStartEMVTransaction (EMV Only)

This query string begins an EMV transaction.

{% code overflow="wrap" %}

```
?operation= 
&httpMethod= 
&closeDeviceAfter= 
&readerArgument= 
&destinationURL= 
&requestLocation= 
&passInData=
```

{% endcode %}

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">operation</td><td valign="top">Operation to request from MagneFlex. Use: requestStartEMVTransaction</td></tr><tr><td valign="top">httpMethod</td><td valign="top"><p>HTTP method to be used for the HTTP postback from MagneFlex. Use:</p><p>GET - returns the response data in the form of a query string. POST – recommended for EVM related transactions to accommodate limits on query string lengths.</p></td></tr><tr><td valign="top">closeDeviceAfter</td><td valign="top"><p>Flag to close the device after the request. For requestStartEMVTransaction use:</p><p>false – do not close the device</p></td></tr><tr><td valign="top">readerArgument</td><td valign="top"><p>Comma delimited list of arguments to be passed to MagneFlex. Arguments:</p><p>timeLimit:, cardType:, option:, amount:, transactionType:, cashBack:, currencyCode:, endSession:, quickChipMode:, reserved:</p><p>Argument details:</p><p>timeLimit - Seconds to wait before the operation times out. Value is in hexadecimal format.</p><p>(00 - FF)</p><p> </p><p> </p><p>transactionType - Type of transaction to be used in hexadecimal: 00 = Purchase (listed as “Payment” on ICS)</p><p>01 = Cash Advance (not supported for this reader) 02 or 09 = Cash back (09 not supported, contactless) 04 = Goods (Purchase)</p><p>08 = Services (Purchase)</p><p>10 = International Goods (Purchase) 20 = Refund</p><p>40 = International Cash Advance or Cash Back 80 = Domestic Cash Advance or Cash Back</p><p> </p><p>cardType - Card type that can be used for the transaction:</p><p>1 = Magnetic stripe</p><p>2 = Contact smart card</p><p>3 = Magnetic stripe or contact smart card</p><p> </p><p>amount - The amount to be used and authorized, EMV Tag 9F02. Format in decimal.</p><p> </p><p>cashBack - Amount of cash back to be used, EMV Tag 9F02. Format in decimal.</p><p> </p><p>currencyCode - Transaction Currency Code (EMV Tag 5F2A, format n4 string)</p><p>Sample valid values:</p><p>0840 = US Dollar 0978 = Euro</p><p>0826 = UK Pound</p><p> </p><p>endSession - Flag to end the session for the device. Default value is true.</p></td></tr><tr><td valign="top"> </td><td valign="top"><p>“true” = End the session after the request is processed.</p><p>“false” = Do not end the session after the request is processed.</p><p> </p><p>quickChipMode - Flag to start the transaction to accommodate qwick Chip mode.</p><p>“true” = Accommodate qwick chip mode.</p><p>“false” = Do not accommodate qwick chip mode.</p><p> </p><p>reserved - These are the reserved bytes beginning at index 20</p><p>of the 0xA2 command. Reference device manual D99875585 for more details.</p><p>Example:</p><p>0000000000000000000000000840000100 – QuickDip Mode</p><p>0000000000000000000000000840000003 – PIN Verify</p><p>0000000000000000000000000840000004 – PIN Set</p></td></tr><tr><td valign="top">destinationURL</td><td valign="top">MagneFlex will send the postback to this URL.</td></tr><tr><td valign="top">requestLocation</td><td valign="top"><p>Flag to send GPS location of the device from which Magneflex (iOS only) is hosted.</p><p>Use:</p><p>true – send location</p><p>false – do not send location</p></td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

Each input parameter supplied in the request is delimited by an ampersand character ‘&’, and the value for a parameter begins after an equal character ‘=’. Where ever a parameter contains multiple values, each are delimited by a comma character

**Example query:**

<pre data-overflow="wrap"><code>https://192.168.10.100/magneflexdemo/default.aspx? 
operation=requestStartEMVTransaction 
&#x26;httpMethod=GET
&#x26;closeDeviceAfter=true 
&#x26;readerArgument=
    timeLimit:3C, 
    cardType:02, 
    option:00, 
    amount:9.99, 
    transactionType:00, 
    cashBack:0.0, 
    currencyCode:0840, 
    endSession:true, 
    quickChipMode:false,
<strong>    reserved:00000000000000000000000008400001
</strong>&#x26;destinationURL=https:/192.68.10.100/magneflexdemo/cardpostback.aspx 
&#x26;requestLocation=false
&#x26;passInData=testData
</code></pre>

**Return Value:**

The EMV ARQC response output in Hex string format of device raw response for this command.

<table data-header-hidden><thead><tr><th width="142.18182373046875" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">errorCode</td><td valign="top">Error status. This parameter is only available when the status is not successful.</td></tr><tr><td valign="top">errorMessage</td><td valign="top">Description of the errorCode. This parameter is only available when the status is not successful.</td></tr><tr><td valign="top">opType</td><td valign="top"><p>The type of operation. For this command the value is:</p><p>EMV_ARQC_RESULT</p></td></tr><tr><td valign="top">arqcData</td><td valign="top">ARQC data from the device.</td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

**Example**

{% code overflow="wrap" %}

```
https://192.168.10.100/magneflexdemo/cardpostback.aspx?opType=EMV_ARQC &arqcData=0211F982020DDFDF540A00000000000000000000DFDF550182DFDF250F42 3246363045413036313731364141FA8201E3708201DFDFDF5301005F20164D41535445
52434152442F4155544F4D4154494F4E49DFDF4D263B35353535303030303230303034
3434343D313830363230313030303030303030303030303FDFDF520105F882018EDFDF
59820170A95450D8E8376FBF7105F641858BD1E5945ABB7196759757BE9923631B7C5A
3B530D27DB156E3321EEB740D5BC29EF85639CC678F4FB7FD1891FA6FFD6F696A9701A F8FC9C3C84FF98B8C05DD386048426C1FD2892C092D17CAB172A47C0C95899EDF64388 6DC9DA910203D09186ABF09BE524ABE33A9AD73703F59C6FD5727C468650CB975D92D5 BB0DE359163527A8C04130626CC27A1B5C63598E3E7F26F367866A563AB091EC35A14D 4F392522132FC5097E3757EFC52174445090DE44100FB453FD4BE077DB24F6D99E00EE BB92C9FD6604723C6E2393BA0F2F2A70F9A915D91E0A02D88A8807A77E7739F1CBCDCA 791E647B56AD146C83AA57CD300589A60042A51BE3233C59F8AEE25F1D207F14FF8E0A
968560612654F7B944B8B63ADF3467B24445D5FBE40DE8A2C46171461FD1D577ADDC56
8EB21A13E2913CA19C0FAE06BD8FE16B9B349481721D365BE5EA68BBACA63CDD76A780
45ED1C128A90EF166F2DED19239ED6AF35DCA40128DADFDF560A9010010B2F60EA0001 C3DFDF570180DFDF5801030000000000000011223344&passInData=testdata
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requeststartemvtransaction-emv-only.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
